cmake_minimum_required(VERSION 3.20)
project(media_mtx_wrapper)

find_package(ament_cmake REQUIRED)

# Install bin.
install(PROGRAMS bin/mediamtx
  DESTINATION bin
)
# Install default config file.
install(PROGRAMS bin/mediamtx.yml
  DESTINATION share/${PROJECT_NAME}/
)
# Install launch files.
install(DIRECTORY
  launch
  DESTINATION share/${PROJECT_NAME}/
)

ament_package()
